Package fr.gouv.vitam.common.model.administration.profile

# Class CreateProfileModel

java.lang.Object
fr.gouv.vitam.common.model.administration.profile.CreateProfileModel

public class CreateProfileModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  `protected @NotNull ProfileFormat`
  `format`
  `protected String`
  `identifier`
  `protected @NotBlank String`
  `name`
  `protected ProfileSedaVersion`
  `sedaVersion`
  `protected ProfileStatus`
  `status`
  `static final String`
  `TAG_DESCRIPTION`
  `static final String`
  `TAG_FORMAT`
  `static final String`
  `TAG_IDENTIFIER`
  `static final String`
  `TAG_NAME`
  `static final String`
  `TAG_SEDA_VERSION`
  `static final String`
  `TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateProfileModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Get the profile description
  `ProfileFormat`
  `getFormat()`
  Get the format of the profile file (xsd, rng, ...)
  `String`
  `getIdentifier()`
  Get the identifier of the profile
  `String`
  `getName()`
  Get name of the profile
  `ProfileSedaVersion`
  `getSedaVersion()`
  Get the profile seda version
  `ProfileStatus`
  `getStatus()`
  Get the profile status
  `CreateProfileModel`
  `setDescription(String description)`
  Set or change the profile description
  `CreateProfileModel`
  `setFormat(ProfileFormat format)`
  Set the profile file format (xsd, rng, ...)
  `CreateProfileModel`
  `setIdentifier(String identifier)`
  Set the identifier of the profile This value must be unique by tenant
  `CreateProfileModel`
  `setName(String name)`
  Set or change the profile name
  `CreateProfileModel`
  `setSedaVersion(ProfileSedaVersion sedaVersion)`
  Set the profile seda version (2.1, 2.2, 2.3, ...)
  `CreateProfileModel`
  `setStatus(ProfileStatus status)`
  Set or change the profile status

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TAG_NAME

    public static final String TAG_NAME
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TAG_STATUS

    public static final String TAG_STATUS
    See Also:
      - Constant Field Values

  - ### TAG_FORMAT

    public static final String TAG_FORMAT
    See Also:
      - Constant Field Values

  - ### TAG_SEDA_VERSION

    public static final String TAG_SEDA_VERSION
    See Also:
      - Constant Field Values

  - ### identifier

    protected String identifier

  - ### name

    @NotBlank protected @NotBlank String name

  - ### description

    protected String description

  - ### status

    protected ProfileStatus status

  - ### format

    @NotNull protected @NotNull ProfileFormat format

  - ### sedaVersion

    protected ProfileSedaVersion sedaVersion

- ## Constructor Details

  - ### CreateProfileModel

    public CreateProfileModel()

- ## Method Details

  - ### getIdentifier

    public String getIdentifier()
    Get the identifier of the profile
    Returns:
      identifier as String

  - ### setIdentifier

    public CreateProfileModel setIdentifier(String identifier)
    Set the identifier of the profile This value must be unique by tenant
    Parameters:
      `identifier` - as String
    Returns:
      this

  - ### getName

    public String getName()
    Get name of the profile
    Returns:
      name as String

  - ### setName

    public CreateProfileModel setName(String name)
    Set or change the profile name
    Parameters:
      `name` - as String to set
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the profile description
    Returns:
      description of profile

  - ### setDescription

    public CreateProfileModel setDescription(String description)
    Set or change the profile description
    Parameters:
      `description` - to set
    Returns:
      this

  - ### getStatus

    public ProfileStatus getStatus()
    Get the profile status
    Returns:
      status of profile

  - ### setStatus

    public CreateProfileModel setStatus(ProfileStatus status)
    Set or change the profile status
    Parameters:
      `status` - toi set
    Returns:
      this

  - ### getFormat

    public ProfileFormat getFormat()
    Get the format of the profile file (xsd, rng, ...)
    Returns:
      the file format as string

  - ### setFormat

    public CreateProfileModel setFormat(ProfileFormat format)
    Set the profile file format (xsd, rng, ...)
    Parameters:
      `format` - a file format
    Returns:
      this

  - ### getSedaVersion

    public ProfileSedaVersion getSedaVersion()
    Get the profile seda version
    Returns:
      the profile seda version

  - ### setSedaVersion

    public CreateProfileModel setSedaVersion(ProfileSedaVersion sedaVersion)
    Set the profile seda version (2.1, 2.2, 2.3, ...)
    Parameters:
      `sedaVersion` - a profile seda version
    Returns:
      this